// Persistence of Vision Ray Tracer Scene Description File
// File: rf_water_bottle2.inc
// Vers: 3.5
// Desc: Rob Fitzel
// Date: May 29, 2006
// Auth: Rob Fitzel
// Unit: Inches
#declare included_rf_water_bottle2 = 1;

#declare t_water_bottle_clear = texture { pigment {rgbt <1,1,1,0.8>} finish {reflection {0,0.2} phong 1 phong_size 100}};
   
#declare water_bottle2 = 
merge {
  sphere {0,1 scale <1.25,0.3,1.25> translate <0,0.3,0>} // rounded bottom  
  difference {
    cylinder {<0,0.3,0>,<0,5.5,0>,1.25 }                   // body
    torus {1.25,0.1 translate <0,1.0,0>}
    torus {1.25,0.1 translate <0,1.5,0>}
    torus {1.25,0.2 translate <0,2.15,0>}
    torus {1.25,0.1 translate <0,3.0,0>}
    torus {1.25,0.1 translate <0,3.6,0>} 
    torus {1.25,0.1 translate <0,4.2,0>}
    torus {1.25,0.1 translate <0,4.8,0>}
    torus {1.25,0.1 translate <0,5.4,0>}
    torus {1.25,0.1 translate <0,6.0,0>}
  } 
  
  sphere {0,1 scale <1.25,1.4,1.25> translate <0,5.5,0> clipped_by {plane {y,6.75}}} // rounded top
  cylinder {<0,6.75,0>,<0,7.55,0>,0.5 open} 
  torus {0.5,0.1 translate <0,7,0> texture {pigment {rgb <0,0,0.4>} } }
  torus {0.5,0.05 translate <0,7.3,0>}
  torus {0.5,0.05 translate <0,7.4,0>}


  texture {t_water_bottle_clear}
  
};